#
# spec file for package xvab-video
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xvba-video
Version:        0.8.0
Release:        7.1
License:        GPL-2.0
Url:            http://www.splitted-desktop.com/~gbeauchesne/xvba-video/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ autoconf valgrind-devel pkg-config libva-devel xorg-x11-libX11-devel xorg-x11-libXext-devel xvba-devel libdrm-devel clutter-gst-devel
%if 0%{?suse_version} > 1210
BuildRequires:  libGLw-devel
BuildRequires:  automake libtool
%else
BuildRequires:  MesaGLw-devel
%endif
Source0:        %{name}.tar.bz2
Patch0:         xvba-video-remove-installation.patch
Patch1:         xvba-video-h264-level51.patch
Patch2:         xvba-video-GL_GLEXT_VERSION-85-fix.patch
Group:          System/Libraries
Summary:        This package consists in an XvBA-based backend for VA-API

%description
This is the XvBA-based backend for VA-API to use the hardware acceleration
More information: http://code.splitted-desktop.com/git/?p=xvba-video.git;a=summary


Authors:
--------
Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%if 0%{?suse_version} >= 1230
%patch2 -p0
%endif
%ifarch x86_64
sed -i 's|-lXvBAW|-L /usr/lib64/xvba -lXvBAW|g' configure.ac
%else
sed -i 's|-lXvBAW|-L /usr/lib/xvba -lXvBAW|g' configure.ac
%endif

%build
./autogen.sh
%configure
make %{?jobs:-j %jobs}

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
echo 'export LIBVA_DRIVER_NAME="fglrx"' >$RPM_BUILD_ROOT%{_sysconfdir}/profile.d/libva-fglrx.sh
mkdir -p $RPM_BUILD_ROOT%{_libdir}/dri
%{__install} -m 755 src/.libs/xvba_drv_video.so $RPM_BUILD_ROOT%{_libdir}/dri/xvba_drv_video.so
ln -s xvba_drv_video.so $RPM_BUILD_ROOT%{_libdir}/dri/fglrx_drv_video.so

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config %{_sysconfdir}/profile.d/libva-fglrx.sh
%dir %{_libdir}/dri
%{_libdir}/dri/*
%doc COPYING NEWS README

%changelog
* Wed Mar  6 2013 fisiu@opensuse.org
- Add xvba-video-GL_GLEXT_VERSION-85-fix.patch: fix build with
  openSUSE >= 1230.
* Tue Jul  3 2012 freespacer@gmx.de
- add a patch to enable H.264 Level 5.1 in xvba-video VA API plugin
  Important notice:
  It is require to enable H.264 Level 5.1 in the fglrx driver
  (for the moment AMD Catalyst 12.6):
  aticonfig --set-pcs-u32=MCIL,HWUVD_H264Level51Support,1
* Tue May 15 2012 seife+obs@b1-systems.com
- fix MesaGLw-devel buildrequires for > 12.1 (libGLW-devel)
- add automake / libtool buildrequires for > 12.1
* Fri Sep  9 2011 freespacer@gmx.de
- add libdrm-devel as build requirement
* Fri Sep  9 2011 freespacer@gmx.de
- fix for 32-bit machine
* Fri Sep  9 2011 freespacer@gmx.de
- initial version
